Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.engine.scheduling.domain
Class ReportJobMailNotification

    java.lang.Object
      com.jaspersoft.jasperserver.api.engine.scheduling.domain.ReportJobMailNotification

All Implemented Interfaces:
  java.io.Serializable

    public class ReportJobMailNotification

extends java.lang.Object
implements java.io.Serializable

Version:
  $Id: ReportJobMailNotification.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary
`static byte` | `RESULT_SEND`
`static byte` | `RESULT_SEND_ATTACHMENT`

Constructor Summary
`ReportJobMailNotification()`

Method Summary
`void` | `addBcc(java.lang.String address)`
`void` | `addCc(java.lang.String address)`
`void` | `addTo(java.lang.String address)`
`java.util.List` | `getBccAddresses()`
`java.util.List` | `getCcAddresses()`
`long` | `getId()`
`java.lang.String` | `getMessageText()`
`byte` | `getResultSendType()`
`java.lang.String` | `getSubject()`
`java.util.List` | `getToAddresses()`
`int` | `getVersion()`
`boolean` | `isEmpty()`
`boolean` | `isSkipEmptyReports()`
`void` | `setBccAddresses(java.util.List bccAddresses)`
`void` | `setCcAddresses(java.util.List ccAddresses)`
`void` | `setId(long id)`
`void` | `setMessageText(java.lang.String messageText)`
`void` | `setResultSendType(byte resultSendType)`
`void` | `setSkipEmptyReports(boolean skipEmptyReports)`
`void` | `setSubject(java.lang.String subject)`
`void` | `setToAddresses(java.util.List toAddresses)`
`void` | `setVersion(int version)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RESULT_SEND

    public static final byte RESULT_SEND

See Also:
  Constant Field Values

### RESULT_SEND_ATTACHMENT

    public static final byte RESULT_SEND_ATTACHMENT

See Also:
  Constant Field Values

Constructor Detail

### ReportJobMailNotification

    public ReportJobMailNotification()

Method Detail

### getId

    public long getId()

### setId

    public void setId(long id)

### getVersion

    public int getVersion()

### setVersion

    public void setVersion(int version)

### getMessageText

    public java.lang.String getMessageText()

### setMessageText

    public void setMessageText(java.lang.String messageText)

### getResultSendType

    public byte getResultSendType()

### setResultSendType

    public void setResultSendType(byte resultSendType)

### getSubject

    public java.lang.String getSubject()

### setSubject

    public void setSubject(java.lang.String subject)

### getBccAddresses

    public java.util.List getBccAddresses()

### setBccAddresses

    public void setBccAddresses(java.util.List bccAddresses)

### addBcc

    public void addBcc(java.lang.String address)

### getCcAddresses

    public java.util.List getCcAddresses()

### setCcAddresses

    public void setCcAddresses(java.util.List ccAddresses)

### addCc

    public void addCc(java.lang.String address)

### getToAddresses

    public java.util.List getToAddresses()

### setToAddresses

    public void setToAddresses(java.util.List toAddresses)

### addTo

    public void addTo(java.lang.String address)

### isEmpty

    public boolean isEmpty()

### isSkipEmptyReports

    public boolean isSkipEmptyReports()

### setSkipEmptyReports

    public void setSkipEmptyReports(boolean skipEmptyReports)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.